#include <iostream>
#include <cmath>
using namespace std;
int main()
{
    long long n,x,v=0,m=0,s,p,udaljenost,udaljenost1;
    cin>>n>>x;
    int min=x,max=x;
    for(int i=0;i<n;i++)
    {
        cin>>p;
        if(p<min)
            min=p;
        if(p>max)
            max=p;
    }
    if(min<=0 && max<=0)
   {
       udaljenost=abs(min)-abs(max);
       if(abs(min)-abs(x)<=abs(x)-abs(max))
        udaljenost1=abs(min)-abs(x);
       else
        udaljenost1=abs(x)-abs(max);
   }
   if(min<=0 && max>=0)
   {
       udaljenost=max+abs(min);
       if(x<0)
       {
           if(abs(min)-abs(x)<=max+abs(x))
           udaljenost1=abs(min)-abs(x);
           else
           udaljenost1=max+abs(x);
       }
       else
        if(abs(min)+x<=max-x)
           udaljenost1=abs(min)+x;
           else
           udaljenost1=max-x;
   }
    if(min>=0 && max>=0)
       {
        udaljenost=max-min;
       if(x-min<=max-x)
        udaljenost1=x-min;
       else
        udaljenost1=max-x;
       }
s=udaljenost+udaljenost1;
    cout<<s;
    return 0;
}